#
# Makefile for the UNO DIO device drivers.
#
# Advantech eAutomation Division Copyright 2007
#
TOOLS=

ADVMOD := unodio
OBJDIR = .
RLINK	= $(TOOLS)ld -r
UNAME := $(shell uname -r)
ifeq "$(UNAME)""2.4.27-2-386" 
LINUX_SRC= /usr/src/kernel-headers-2.4.27-2-386
else 
LINUX_SRC= /usr/src/linux-2.4
endif
CC=gcc

CFLAGS := -Wall -D__KERNEL__ -DMODULE -I/usr/src/linux-2.4/include -I$(LINUX_SRC)/include -O2

OBJS = uno_dio_core.o	\
	uno_dio.o	\
	uno_dio_2679.o 


$(ADVMOD).o :  $(addprefix $(OBJDIR)/,$(OBJS)) $(OBJDIR)
	@$(RLINK) -o $@ $(addprefix $(OBJDIR)/,$(OBJS))

default: $(ADVMOD).o 


	
install: default
	$(shell if grep $(ADVMOD) /proc/modules > /dev/null ; then \
         rmmod $(ADVMOD) ; fi)
	$(shell [ -c /dev/$(ADVMOD) ] && rm -f /dev/$(ADVMOD))
	@insmod $(ADVMOD).o
	@mknod /dev/$(ADVMOD) c $$(awk '$$2=="unodio" {print $$1}' \
		/proc/devices) 0
	
uninstall:
	$(shell if grep $(ADVMOD) /proc/modules > /dev/null ; then \
        rmmod $(ADVMOD) ; fi)
	$(shell [ -c /dev/$(ADVMOD) ] && rm -f /dev/$(ADVMOD))

clean:
	@rm -f *.o
