#
# Makefile for the UNO DIO device drivers.
#
# Advantech eAutomation Division
#

UNAME := $(shell uname -r)
PWD := $(shell pwd)
ADVMOD := unodio


ifneq ($(KERNELRELEASE),)
obj-m := unodio.o
unodio-objs := uno_dio_core.o	\
	    uno_dio.o	\
	    uno_dio_2679.o
else
	KDIR := /lib/modules/$(shell uname -r)/build/
	PWD  := $(shell pwd)
all:
	@echo "This driver support:UNO DIO"
	$(MAKE) -w -C $(KDIR) M=$(PWD)
endif


install: 
	$(shell if grep $(ADVMOD) /proc/modules > /dev/null ; then \
	 rmmod $(ADVMOD) ; fi)
	$(shell [ -c /dev/$(ADVMOD) ] && rm -f /dev/$(ADVMOD))
	@insmod $(ADVMOD).ko
	@mknod /dev/$(ADVMOD) c $$(awk '$$2=="unodio"{print $$1}' \
		/proc/devices) 0
		
uninstall:
	$(shell if grep $(ADVMOD) /proc/modules > /dev/null ; then \
	 rmmod $(ADVMOD) ; fi)
	$(shell [ -c /dev/$(ADVMOD) ] && rm -f /dev/$(ADVMOD))
	@echo ""

clean:
	@rm -f *.o
	@rm -f *~
	@rm -f *.ko
	@rm -f *.mod.c
	@rm -f .*.cmd	
	@rm -rf .tmp_versions
	@rm -rf Module*
	@rm -rf module*

