// *****************************************************************
// * Program        : digin.c
// * Description    : Demo program for digital input function
// * Boards Supp.   : UNO DIO
// *
// * Revision       : 1.0.0.1
// * Date           : 01/08/2009          Advantech Co., Ltd.
// *****************************************************************

#include "unodio.h"

int main ( void )
{	
	USHORT usState;
	int i, ret, channelCount;
	

	//Step 1: Display hardware and software settings for running this example
	printf("------ Digital input via port output and bit number ------\n\n");

	//Step 2: Open device
	ret = DeviceOpen();		
	if (ret == -1)
	{
		printf("Device Open error!\n");
		return 1;
	}
	
	
        channelCount = GetIOChannelNum(0,0);
	
	// Step 3: Read state from the specified channel
	ret = DIReadPortByte(0, &usState);
	if (ret != 0) {
		printf("Read DI port error\n");
		return 0;
	}
    
	printf("\nDI value of port 0  = 0x%x\n\n", usState);

	// Step 4: Read State from each bit from 0 to 3
	
	for ( i=0 ; i < channelCount ; i++ ) 
	{
        	ret = DIReadBit(0 , i , &usState);

	        if ( ret != 0 ) {
        		return 0;
		}

		printf("DI bit %d vaule of port 0 = 0x%1X\n", i, usState);
	}
	

	// Step 5: Close device
	ret = DeviceClose();

	printf("\nPress any key to exit....");
	getchar();
	return 0;
}
