// *****************************************************************************
// * Program        : digout.c
// * Description    : Demo program for digital output function
// * Boards Supp.   : UNO DIO
// *
// * Revision       : 1.0.0.1
// * Date           : 01/08/2009          Advantech Co., Ltd.
// *****************************************************************************

#include "unodio.h"

int main ( void )
{
	USHORT usState;
	int i, ret, channelCount;

	//Step 1: Display hardware and software settings for running this example
	printf("---- Digital output via port output and bit number ----\n");

	//Step 2: Open device
	ret = DeviceOpen();
	if (ret == -1)
		return 1;
	channelCount = GetIOChannelNum(0,1);
    
	//Step 3: Read back the current DO value
	ret = DOGetCurrentByte(0, &usState);
	if (ret != 0)
		return 0;
	printf("\nDO value of port 0 = 0x%x\n", usState);	

	// Step 4: Read State from each bit from 0 to 3
	
	for (i=0 ; i < channelCount ; i++) 
	{
		ret = DOGetCurrentBit(0 , i , &usState);

		printf("DO bit %d vaule of port 0 = 0x%1X\n", i, usState);
	}

	printf("\nPrepare to write data, press any key to continue...\n");
	getchar();
	

	// Step 5: Prepare the write value 0x00 and 0xff

	printf("Write value 0x00 to port 0, press any key to continue....\n");
	getchar();
	ret = DOWritePortByte(0 , 0xff , 0x00);

	printf("Write value 0xff to port 0, press any key to continue....\n");
	getchar();
	ret = DOWritePortByte(0 , 0xff , 0xff);

	// Step 6: Write bit from 0 to 3
	printf("\nPrepare to write DO bit value, press any key to continue\n");	
	getchar();
	for (i=0 ; i < channelCount; i++) 
	{
		ret = DOWriteBit(0 , i , i%2);
		if (ret != 0)
			return 0;
		printf("Write bit value to port 0:bit=%d,value=0x%1x\n",i,i%2);
	}
	

	// Step 7: Close device
	ret = DeviceClose();
	printf("\nPress any key to exit....");
	getchar();
	return 0;
}
