// ***********************************************************************
// * Program        : power.c
// * Description    : Demo program for retriving power status function
// * Boards Supp.   : UNO DIO
// *
// * Revision       : 1.0.0.1
// * Date           : 01/08/2009          Advantech Co., Ltd.
// ***********************************************************************

#include "unodio.h"

int main ( void )
{	
	USHORT usState;
	int ret;
	char ch;

	//Step 1: 
	printf("------ Get power status test example ------\n\n");

	//Step 2: Open device
	ret = DeviceOpen();		
	if (ret == -1)
	{
		printf("Device Open error!\n");
		return 1;
	}
	
	while ( 1 )	
	{
		ret = GetPowerStatus( &usState );
		if(ret == -1)
		{
			printf("This device does not support power status checking!\n");
			return 0;
		}
		if ( usState & 0x1 )
		{
			printf(" Power 1 is ok!\n");
		}
		else
		{
			printf(" Power 1 is fail!\n");
		}

		if ( usState & 0x2 )
		{
			printf(" Power 2 is ok!\n");
		}
		else 
		{
			printf(" Power 2 is fail!\n");
		}

		if ( usState & 0x4 )
		{
			printf(" Power is fail!\n");
		}
		else
		{
			printf(" Power is ok!\n");
		}
		
		printf(" Press 'Q' or 'q' to exit, other to continue...\n");
		ch = getchar();
		if ( ch == 'q'|| ch == 'Q')
		{
			break;
		}
	}

	// Step 3: Close device
	ret = DeviceClose();
	return 0;
}
