// ***********************************************************************
// * Program        : led.c
// * Description    : Demo program for led function
// * Boards Supp.   : only for UNO-1171
// *
// * Revision       : 1.0.0.1
// * Date           : 03/26/2010         Advantech Co., Ltd.
// ***********************************************************************

#include "unodio.h"	/* Library function declaration	*/

int main ( int argv, char **arg )
{
   int ret;

   unsigned short  usLedData;
	  
   //Step 1: Display hardware and software settings for running this example
   printf("Program LED function testing....\n\n");

   //Step 2: Open device
   ret = DeviceOpen();	

   //Step 3: Read Program Led 
   ret = ProgramLedRead(&usLedData);

   printf("\nProgram LED value: %2x\n", usLedData);	
   printf("\npress any key to continue ...\n");	
   getchar();

 
   //UNO-1171 can set the program led mode
   //To set program led as fast flicker
   ret = ProgramLedModeConfig(LED_FAST);
   //LED0 use the fast flicker mode 
   ret = ProgramLedModeEnable(0, LED_ON);
   //LED1 don't use mode 
   ret = ProgramLedModeEnable(1, LED_DISABLE);

   //Step 4: Write 0xFF to Program Led
   printf("\nWrite 0xFF to Program LED\n");
   usLedData = 0xFF;
   ret = ProgramLedWrite(usLedData);
	
   printf("\npress any key to continue ...\n");	
   getchar();

   // Step 5: Close device
   DeviceClose();

   return 0;
}

 
