// ***********************************************************************
// * Program        : led.c
// * Description    : Demo program for led function
// * Boards Supp.   : only for UNO-4672
// *
// * Revision       : 1.0.0.1
// * Date           : 01/08/2009          Advantech Co., Ltd.
// ***********************************************************************

#include "unodio.h"	/* Library function declaration	*/

int main ( int argv, char **arg )
{
   int ret;

   unsigned short  usLedData;
	  
   //Step 1: Display hardware and software settings for running this example
   printf("Program LED function testing....\n\n");

   //Step 2: Open device
   ret = DeviceOpen();	

   //Step 3: Read Program Led 
   ret = ProgramLedRead(&usLedData);

   printf("\nProgram LED value: %2x\n", usLedData);	
   printf("\npress any key to continue ...\n");	
   getchar();

   //Step 4: Write 0xAA to Program Led
   printf("\nWrite 0xAA to Program LED\n");
   usLedData = 0xAA;
   ret = ProgramLedWrite(usLedData);

   printf("Press any key to continue\n");
   getchar();
   printf("\nWrite 0x55 to Program LED\n");
   usLedData = 0x55;
   ret = ProgramLedWrite(usLedData);
	
   printf("\npress any key to continue ...\n");	
   getchar();

   // Step 5: Close device
   DeviceClose();

   return 0;
}

 
